
public class Class505 {

   Class124 aClass124_5977;
   Class121 aClass121_5978;


   Class124 method8431(int var1) {
      return this.aClass121_5978.method2338(this.aClass124_5977.anInt1406 * 34646887, -654621652);
   }

   boolean method8432(Class121 var1, int var2, int var3, int var4) {
      if(var1 != null) {
         Class124 var5 = var1.method2338(var2, 357827298);
         if(var5 != null) {
            this.aClass121_5978 = var1;
            this.aClass124_5977 = var5;
            return true;
         }
      }

      this.method8434(1981726680);
      return false;
   }

   Class124 method8433() {
      return this.aClass121_5978.method2338(this.aClass124_5977.anInt1406 * 34646887, -1066515184);
   }

   void method8434(int var1) {
      this.aClass121_5978 = null;
      this.aClass124_5977 = null;
   }

   Class124 method8435() {
      return this.aClass121_5978.method2338(this.aClass124_5977.anInt1406 * 34646887, -1611023206);
   }

   boolean method8436(int var1, int var2, int var3) {
      Class124 var4 = Class223.method3836(var1, var2, (byte)1);
      if(null != var4) {
         this.aClass121_5978 = Class18.aClass121Array188[var1 >> 16];
         this.aClass124_5977 = var4;
         return true;
      } else {
         this.method8434(1908056385);
         return false;
      }
   }

   boolean method8437(int var1, int var2) {
      Class124 var3 = Class223.method3836(var1, var2, (byte)1);
      if(null != var3) {
         this.aClass121_5978 = Class18.aClass121Array188[var1 >> 16];
         this.aClass124_5977 = var3;
         return true;
      } else {
         this.method8434(2079484131);
         return false;
      }
   }

   boolean method8438(Class121 var1, int var2, int var3) {
      if(var1 != null) {
         Class124 var4 = var1.method2338(var2, -605398261);
         if(var4 != null) {
            this.aClass121_5978 = var1;
            this.aClass124_5977 = var4;
            return true;
         }
      }

      this.method8434(2068512529);
      return false;
   }

   boolean method8439(Class121 var1, int var2, int var3) {
      if(var1 != null) {
         Class124 var4 = var1.method2338(var2, -897355425);
         if(var4 != null) {
            this.aClass121_5978 = var1;
            this.aClass124_5977 = var4;
            return true;
         }
      }

      this.method8434(1816604508);
      return false;
   }

   void method8440() {
      this.aClass121_5978 = null;
      this.aClass124_5977 = null;
   }

   void method8441() {
      this.aClass121_5978 = null;
      this.aClass124_5977 = null;
   }

   static final void method8442(byte var0) {
      Class506.anInt5988 -= 1537744749;
   }
}
